import flet as ft
from gui.widgets import NavBar
from gui.book_view import BookView
from gui.member_view import MemberView
from gui.loan_view import LoanView

def main(page: ft.Page):
    def route_change(route):
        page.views.clear()
        page.views.append(
            ft.View(
                "/",
                [NavBar(page)]
            )
        )
        if page.route == "/books":
            bv = BookView(page)
            page.views.append(bv)
            page.update()
            bv.books.update_data()
        if page.route =="/members":
            mv = MemberView(page)
            page.views.append(mv)
            page.update()
            mv.members.update_data()
        if page.route =="/loans":
            lv = LoanView(page)
            page.views.append(lv)
            page.update()
            lv.loans.update_data()
        page.update()

    page.title = "MyPerpus"
    page.window_width = 1000
    page.window_height = 600
    page.window_maximizable = False
    page.window_resizable = False
    page.bgcolor = ft.colors.BLACK

    page.on_route_change = route_change
    page.go("/books")

def run():
    ft.app(target=main)