import sys
import os

# Get the directory containing the src directory
src_path = os.path.abspath(os.path.join(os.path.dirname(__file__), '../src'))
# Add src directory to the system path
sys.path.append(src_path)

from Book import Book
from BookController import BookController
import sqlite3
from PIL import Image

# Example Usage
if __name__ == "__main__":

    connection = sqlite3.connect('library.db')

    image = Image.open("buku.jpg")

    buku = Book('123456789','Asal',image,5)

    book_controller = BookController(connection)

    book_controller.addBook(buku)

    book = book_controller.getBook('123456789')
    print("book Details:", book)

    books = book_controller.displayBook()
    for book in books:
        print(book)

    book_controller.editBook('123456789','Bebas',image,'not borrowed',3)

    books = book_controller.displayBook()
    for book in books:
        print(book)

    connection.close()